﻿@model BookManagement.Application.Features.Books.Commands.CreateBookCommand
@{
    ViewData["Title"] = "Create";
}

<div class="card">
    <div class="card-header">Create Book</div>
    <div class="card-body">
        <form asp-action="Create" method="post" autocomplete="off">
            <div class="form-group row">
                <label asp-for="Title" class="col-sm-2 col-form-label"></label>
                <div class="col-sm-4">
                    <input asp-for="Title" class="form-control" />
                    <span asp-validation-for="Title" class="text-danger"></span>
                </div>
                <label asp-for="Publisher" class="col-sm-2 col-form-label"></label>
                <div class="col-sm-4">
                    <input asp-for="Publisher" class="form-control" />
                    <span asp-validation-for="Publisher" class="text-danger"></span>
                </div>
            </div>
            <div class="form-group row">
                <label asp-for="ISBN" class="col-sm-2 col-form-label"></label>
                <div class="col-sm-4">
                    <input asp-for="ISBN" class="form-control" />
                    <span asp-validation-for="ISBN" class="text-danger"></span>
                </div>
                <label asp-for="CategoryId" class="col-sm-2 col-form-label"></label>
                <div class="col-sm-4">
                    <select asp-for="CategoryId" class="form-control"
                            asp-items="@(new SelectList(Model.Categories,"Id","Name"))">
                        <option>Select ..</option>
                    </select>
                    <span asp-validation-for="CategoryId" class="text-danger"></span>
                </div>
            </div>
            <div class="form-group row">
                <label asp-for="Hardcover" class="col-sm-2 col-form-label"></label>
                <div class="col-sm-4">
                    <input asp-for="Hardcover" class="form-control" />
                    <span asp-validation-for="Hardcover" class="text-danger"></span>
                </div>
                <label asp-for="CopyNum" class="col-sm-2 col-form-label"></label>
                <div class="col-sm-4">
                    <input asp-for="CopyNum" class="form-control" />
                    <span asp-validation-for="CopyNum" class="text-danger"></span>
                </div>
            </div>
            <div class="form-group row">
                <label asp-for="Language" class="col-sm-2 col-form-label"></label>
                <div class="col-sm-4">
                    <input asp-for="Language" class="form-control" />
                    <span asp-validation-for="Language" class="text-danger"></span>
                </div>
                <label asp-for="Copyright" class="col-sm-2 col-form-label"></label>
                <div class="col-sm-4">
                    <input asp-for="Copyright" class="form-control" />
                    <span asp-validation-for="Copyright" class="text-danger"></span>
                </div>
            </div>
            <div class="form-group row">
                <label asp-for="ImageUrl" class="col-sm-2 col-form-label"></label>
                <div class="col-sm-10">
                    <input asp-for="ImageUrl" class="form-control" />
                    <span asp-validation-for="ImageUrl" class="text-danger"></span>
                </div>
            </div>
            <div class="form-group row">
                <label asp-for="Summery" class="col-sm-2 col-form-label"></label>
                <div class="col-sm-10">
                    <textarea asp-for="Summery" rows="5" cols="40" class="form-control"></textarea>
                    <span asp-validation-for="Summery" class="text-danger"></span>
                </div>
            </div>
            <div class="row">
                <div class="offset-2 col-sm-10">
                    <a asp-action="Index" class="btn btn-secondary">Back to List</a>
                    <input type="submit" value="Create" class="btn btn-primary" />
                </div>
            </div>
        </form>
    </div>
</div>